<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !iSUPERADMIN) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_name = "IRC Chat";
$inf_version = "2";
$inf_author = "Outback Web Creations";
$inf_email = "outback@outbackweb.net";
$inf_web = "http://www.outbackweb.net";
$inf_description = "PJIRC For Fusion 5";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "irc_chat";
$inf_admin = "irc_chat_admin.php";

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).
$inf_link_name = "IRC Chat";
$inf_link_url = "irc_chat.php";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].

// Database Table information : Create database tables.
$inf_create_tables[0] = "CREATE TABLE `".$fusion_prefix."irc_config` (
`page` VARCHAR( 50 ) NOT NULL ,
`host` VARCHAR( 200 ) NOT NULL ,
`channel` VARCHAR( 100 ) NOT NULL ,
`quit_message` VARCHAR( 200 ) NOT NULL ,
`page_title` VARCHAR( 100 ) NOT NULL ,
`headline` VARCHAR( 200 ) NOT NULL ,
`style` VARCHAR( 50 ) NOT NULL ,
`logo` VARCHAR( 200 ) NOT NULL ,
`link` VARCHAR( 200 ) NOT NULL ,
`alt` VARCHAR( 200 ) NOT NULL ,
PRIMARY KEY ( `page` )
);";
// add the default settings
$inf_create_tables[1] = "INSERT INTO `".$fusion_prefix."irc_config` ( `page` , `host` , `channel` , `quit_message` , `page_title` , `headline` , `style` , `logo` , `link` , `alt` )
VALUES ('advanced', 'serenity.ix.us.dal.net', 'phpfusion', 'PHP-FUSION5 User Leaves', 'PJIRC 4 PHP-FUSION5', 'Welcome to PJIRC 4 PHP-FUSION5', 'Default', 'pjirclogo.gif', 'http://www.pjirc.com', 'PJIRC - IRC Chat Solutions'
);";
$inf_create_tables[2] = "INSERT INTO `".$fusion_prefix."site_links` VALUES (27, 'IRC Chat', 'fusion_infusions/irc_chat/irc_chat.php', 0, 0, 30);";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$fusion_prefix."irc_config";

// If infusion is a newer version alter tables.
$inf_upgrade_alter_tables[0] = "";
?>
